Bug 1706008 - Sound Effect sometimes fails to change to selected option.
Summary: Sound Effect sometimes fails to change to selected option.
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 8
Classification: Red Hat
Component: gnome-control-center
Version: 8.1
Hardware: x86_64
OS: Linux
unspecified
unspecified
Target Milestone: rc
: 8.0
Assignee: Carlos Garnacho
QA Contact: Desktop QE
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-05-03 11:47 UTC by Michal Odehnal
Modified: 2020-11-04 01:35 UTC (History)
2 users (show)

Fixed In Version: 3.28.2-21
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-04 01:34:16 UTC
Type: Bug
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2020:4451 0 None None None 2020-11-04 01:34:40 UTC

Description Michal Odehnal 2019-05-03 11:47:42 UTC
Description of problem:
Sound Effect change sometimes fails to change to selected option.

Version-Release number of selected component (if applicable):
dconf-0.28.0-3.el8.x86_64
gnome-control-center-3.28.2-4.el8.x86_64

How reproducible:


Steps to Reproduce:
1. Start Settings with Sound options selected.
2. Change to Sound Effects page tab.
3. In Terminal, watch for dconf changes via & dconf watch /
4. In Settings, change between Default and Bark sound alerts.
5. Repeat 4.

Actual results:
Sometimes the selected Default option propagates as "__custom" instead of "freedesktop" in dconf

Expected results:
All selections of Default will propagate as "freedesktop" in /org/gnome/desktop/sound/theme-name 

Additional info:
Upon closer look it can be said that the change will fail every other try.

Comment 8 Michal Odehnal 2020-07-22 10:43:51 UTC
Unable to reproduce with gnome-control-center-3.28.2-21.el8.x86_64

Comment 11 errata-xmlrpc 2020-11-04 01:34:16 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (Moderate: GNOME security, bug fix, and enhancement update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2020:4451


Note You need to log in before you can comment on or make changes to this bug.